Subject: Re: [PATCH v2] ixgbe: check adapter->vfinfo before dereference

From: Thierry Herbelot <[email-masked]>
Date: Fri, 10 Oct 2014 10:53:18 +0200

On 10/10/2014 10:50 AM, Jeff Kirsher wrote:
> On Fri, 2014-10-10 at 10:45 +0200, Thierry Herbelot wrote:
>> this protects against the following panic:
>> (before a VF was actually created on p96p1 PF Ethernet port)
>> ip link set p96p1 vf 0 spoofchk off
>> BUG: unable to handle kernel NULL pointer dereference at
>> 0000000000000052
>> IP: [<ffffffffa044a1c1>] ixgbe_ndo_set_vf_spoofchk+0x51/0x150 [ixgbe]
>>
>> Signed-off-by: Thierry Herbelot <[email-masked]>
>> ---
>>   drivers/net/ethernet/intel/ixgbe/ixgbe_sriov.c |   73
>> +++++++++++++++++++++++-
>>   1 file changed, 70 insertions(+), 3 deletions(-)
>
> Thanks for fixing that up Thierry.  I have added your patch to my queue.

Sorry for the miscompile : I wrote the patch back in August, and left it 
to rot while doing other things and I did not check it was really 
correct before sending it yesterday.

	Thierry

-- 
Thierry Herbelot
6WIND
Software Engineer